> For the complete documentation index, see [llms.txt](https://docs.stakingrewards.com/verified-provider-program/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stakingrewards.com/verified-provider-program/integrations-and-distribution/provider-api/general-data/supported-assets/nodes.md).

# Nodes

<table><thead><tr><th width="206">Field Name</th><th width="267">Description</th><th>Required</th><th>Type</th></tr></thead><tbody><tr><td>Node Type</td><td><p>Defines the type of node: </p><ul><li><strong>posNode</strong>: These are the nodes operated with assets delegated by others. This concept does not apply to Ethereum, since delegation to nodes isn't possible.</li><li><strong>hostingNode</strong>: This refers to a Validator as a Service model, where a user entrusts you with 32 Ethereum, and you manage the node on their behalf.</li><li><strong>operatorNode</strong>: These nodes represent the ones engaged in staking through various Liquid Staking Token (LST) services. There's a specific attribute, <code>liquidStakingProvider</code>, for naming the service you're utilizing for this purpose, such as Lido, Swell, Ledger, etc.</li></ul></td><td>Required</td><td>string</td></tr><tr><td>address</td><td>Validator Address</td><td>Required, if Node Type = posNode</td><td>string</td></tr><tr><td>feeUsd</td><td>Hosting Fee, a USD fixed price for VaaS</td><td>Only if aplicalbe</td><td>float</td></tr><tr><td>fee</td><td>Commission (in %) charged to the staking user over the rewards earned</td><td>Only if aplicalbe</td><td>float</td></tr><tr><td>users</td><td>Total staking users for the node</td><td>Required</td><td>int</td></tr><tr><td>balanceToken</td><td>Total tokens staked for the node</td><td>Required</td><td>float</td></tr><tr><td>balanceTokenUsd</td><td>Usd value of staked tokens</td><td>Optional</td><td>float</td></tr><tr><td>liquidStakingProvider</td><td>The liquid staking provider that hosts the operator node (e.g. lido-finance, swell-network)</td><td>Required if Node Type = operatorNode</td><td>string</td></tr></tbody></table>

{% hint style="warning" %}
For whitelabel (private) nodes, format them in the following format:\
"wl\_node\_{ASSET\_SLUG}\_{YOUR\_PROVIDER\_SLUG}\_0"\
\
If you are sending more than 1 node per asset, increase the last character by 1 for each node (ex. *"wl\_solana\_cool-nodes\_0", "wl\_solana\_cool-nodes\_1", ...)*
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stakingrewards.com/verified-provider-program/integrations-and-distribution/provider-api/general-data/supported-assets/nodes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
